Subject: Re: Can't compile mintty-3.5.0
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Wed, 28 Apr 2021 22:46:07 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-04-26 06:14, Thomas Wolff wrote:
> Am 26.04.2021 um 14:06 schrieb Eliot Moss:
>> On 4/26/2021 8:00 AM, Lemures Lemniscati via Cygwin wrote:
>>> I tried to compile mintty-3.5.0,
>>> but failed with the message:
>>> windres -c 65001 --preprocessor 'gcc -E -xc -DRC_INVOKED -MMD -MP 
>>> -DTARGET=x86_64-pc-cygwin -DNDEBUG' res.rc ../bin/cygwin64/res.o
>>> /bin/sh: gcc -E -xc -DRC_INVOKED -MMD -MP -DTARGET=x86_64-pc-cygwin -DNDEBUG: 
>>> command not found
>>> windres: preprocessing failed.

>> windres should be in the binutils package.
> This is due to a bug in windres. The binutils 2.36 version is broken,
> see https://sourceware.org/bugzilla/show_bug.cgi?id=27594
> A workaround is available but I'd prefer to let them fix their bug.
> For now, please downgrade binutils to 2.35 and maybe make a copy of its windres 
> tool into your path.

Suggest Cygwin binutils windres be updated to revert the patch like Msys2:

https://github.com/msys2/MSYS2-packages/pull/2384

as nothing appears to be happening with the issue in binutils; or else the 
downstreams need to use options as implemented rather than as per examples.
I'd expect a fix to the doc example rather than the code, as the developers may 
be going in a new direction, possibly to keep up with Windows updates.

It also appears that the quot() function should have been used rather than 
asprintf, as it takes account of build environment quoting rules, although it 
would be better if it could find out about and take account of the *runtime* 
shell environment quoting rules.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple